var timer = null;


function load() {
	timer = null;
	onshow();
}



function onshow() {
	
    if (timer == null) { 
		showTime();
		timer = setInterval("showTime();", 1000);
	}
}


function onhide () { 
    if (timer != null) { 
        clearInterval(timer); 
        timer = null; 
    } 
} 


if (window.widget) {
	widget.onshow = onshow;
	widget.onhide = onhide; 
}


function showTime() {

	var Now = new Date();
	
	var day = Now.getDate();
	var month = Now.getMonth() + 1;
	if (day <= 9)
		day = "0" + day;
	if (month <= 9)
		month = "0" + month;
	var dateString = "";
	
	var langCode = navigator.language;

	// Laenderabhaengige Formatierung
	if (langCode.indexOf("de")  > -1)
		dateString = day +"." +month +"." +Now.getFullYear();
	else if (langCode.indexOf("en")  > -1)
		dateString = month +"/" +day +"/" +Now.getFullYear();
	else
		dateString = day +"/" +month +"/" +Now.getFullYear();
	
	document.getElementById("date").innerHTML = dateString;

	// Zeit formatieren
	var hours = Now.getHours();
	var minutes = Now.getMinutes();
	var seconds = Now.getSeconds();
	if (hours <= 9)
		hours = "0" + hours;
	if (minutes <= 9)
		minutes = "0" + minutes;
	if (seconds <= 9)
		seconds = "0" + seconds;

	var timeString = hours +":" +minutes +":" +seconds;
	
	document.getElementById("time").innerHTML = timeString;

	// Erster Tag des Jahres
	var first = new Date(Now.getFullYear(), 0, 1, 0, 0, 0);
	
	// Ermitteln des aktuellen Tages (DayOfYear)
	var dayOfYear = Now.getTime() - first.getTime();
	dayOfYear = dayOfYear/(3600000*24);
	dayOfYear = Math.ceil(dayOfYear);

	// Berechnung der Anzahl Tage dieses Jahres. 
	var last = new Date(Now.getFullYear(), 11, 32, 0, 0, 0);
	
	var totalDays = last.getTime() - first.getTime();
	totalDays = totalDays/(3600000*24);

	// Berechnung der Sternzeit, auf eine Nachkommastelle kaufmaennisch gerundet
	var stardate = 1000 * (Now.getFullYear() + 1 / totalDays * (dayOfYear - 1 + Now.getHours()/24 + minutes/1440) - 2323) 
	if ((Math.round(stardate*10) % 10) == 0)
		stardate = Math.round(stardate*10)/10 +".0";
	else
		stardate = Math.round(stardate*10)/10

	document.getElementById("stardate").innerHTML = stardate;

}